Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2167513003: Moves FrameHostMsg_SetCookie to a Mojo message (Closed)

Created:
2 years, 2 months ago by Ken Rockot(use gerrit already)
Modified:
2 years, 1 month ago
Reviewers:
Tom Sepez, jam
CC:
Aaron Boodman, abarth-chromium, ben+mojo_chromium.org, chromium-reviews, creis+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@browser-associated-interface
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Moves FrameHostMsg_SetCookie to a Mojo message Adds a new BrowserAssociatedInterface to RenderFrameMessageFilter and converts a single message (SetCookie) to Mojo. BUG=612500 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/1587e33c1578c277af84c700bd213f5743f09f18 Cr-Commit-Position: refs/heads/master@{#408173}

Patch Set 1 #

Patch Set 2 : gyp #

Patch Set 3 : rebase #

Patch Set 4 : rebase #

Patch Set 5 : . #

Patch Set 6 : . #

Total comments: 4

Patch Set 7 : . #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+110 lines, -56 lines) Patch
M content/browser/frame_host/render_frame_message_filter.h View 1 2 3 4 5 6 chunks +17 lines, -5 lines 0 comments Download
M content/browser/frame_host/render_frame_message_filter.cc View 1 2 3 4 5 5 chunks +38 lines, -34 lines 0 comments Download
M content/browser/frame_host/render_frame_message_filter_browsertest.cc View 1 2 3 4 5 6 2 chunks +12 lines, -5 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.h View 1 2 3 4 5 6 3 chunks +7 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 2 3 4 5 6 2 chunks +5 lines, -2 lines 0 comments Download
M content/common/BUILD.gn View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M content/common/frame_messages.h View 1 2 3 1 chunk +0 lines, -8 lines 0 comments Download
A content/common/render_frame_message_filter.mojom View 1 2 3 4 1 chunk +14 lines, -0 lines 1 comment Download
M content/content_common_mojo_bindings.gyp View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_thread_impl.h View 1 2 3 4 5 6 3 chunks +5 lines, -0 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 3 4 5 6 1 chunk +7 lines, -0 lines 0 comments Download
M content/renderer/renderer_webcookiejar_impl.cc View 1 2 3 4 5 6 2 chunks +3 lines, -2 lines 0 comments Download

Messages

Total messages: 50 (37 generated)
Ken Rockot(use gerrit already)
As discussed, this exposes the filter through RPHI. Note that RenderFrameMessageFilter needs to be destroyed ...
2 years, 1 month ago (2016-07-25 21:28:00 UTC) #22
jam
On 2016/07/25 21:28:00, Ken Rockot wrote: > As discussed, this exposes the filter through RPHI. ...
2 years, 1 month ago (2016-07-26 17:13:38 UTC) #25
Ken Rockot(use gerrit already)
On 2016/07/26 at 17:13:38, jam wrote: > On 2016/07/25 21:28:00, Ken Rockot wrote: > > ...
2 years, 1 month ago (2016-07-26 18:01:45 UTC) #27
jam
https://codereview.chromium.org/2167513003/diff/120001/content/browser/renderer_host/render_process_host_impl.h File content/browser/renderer_host/render_process_host_impl.h (right): https://codereview.chromium.org/2167513003/diff/120001/content/browser/renderer_host/render_process_host_impl.h#newcode250 content/browser/renderer_host/render_process_host_impl.h:250: RenderFrameMessageFilter* render_frame_message_filter() const { nit: add a _for_testing suffix ...
2 years, 1 month ago (2016-07-26 19:13:33 UTC) #31
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2167513003/diff/120001/content/browser/renderer_host/render_process_host_impl.h File content/browser/renderer_host/render_process_host_impl.h (right): https://codereview.chromium.org/2167513003/diff/120001/content/browser/renderer_host/render_process_host_impl.h#newcode250 content/browser/renderer_host/render_process_host_impl.h:250: RenderFrameMessageFilter* render_frame_message_filter() const { On 2016/07/26 at 19:13:32, jam ...
2 years, 1 month ago (2016-07-26 21:00:34 UTC) #37
jam
lgtm
2 years, 1 month ago (2016-07-26 23:38:08 UTC) #40
Ken Rockot(use gerrit already)
+tsepez@ for mojom and messages
2 years, 1 month ago (2016-07-26 23:44:59 UTC) #42
Tom Sepez
https://codereview.chromium.org/2167513003/diff/160001/content/common/render_frame_message_filter.mojom File content/common/render_frame_message_filter.mojom (right): https://codereview.chromium.org/2167513003/diff/160001/content/common/render_frame_message_filter.mojom#newcode11 content/common/render_frame_message_filter.mojom:11: // any subsequent FrameHostMsg_GetCookies request. Wouldn't we also have ...
2 years, 1 month ago (2016-07-27 17:35:30 UTC) #43
Ken Rockot(use gerrit already)
On 2016/07/27 at 17:35:30, tsepez wrote: > https://codereview.chromium.org/2167513003/diff/160001/content/common/render_frame_message_filter.mojom > File content/common/render_frame_message_filter.mojom (right): > > https://codereview.chromium.org/2167513003/diff/160001/content/common/render_frame_message_filter.mojom#newcode11 ...
2 years, 1 month ago (2016-07-27 17:37:03 UTC) #44
Tom Sepez
On 2016/07/27 17:37:03, Ken Rockot wrote: > On 2016/07/27 at 17:35:30, tsepez wrote: > > ...
2 years, 1 month ago (2016-07-27 17:38:35 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2167513003/160001
2 years, 1 month ago (2016-07-27 17:39:39 UTC) #47
commit-bot: I haz the power
Committed patchset #7 (id:160001)
2 years, 1 month ago (2016-07-27 17:44:28 UTC) #48
commit-bot: I haz the power
2 years, 1 month ago (2016-07-27 17:45:48 UTC) #50
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/1587e33c1578c277af84c700bd213f5743f09f18
Cr-Commit-Position: refs/heads/master@{#408173}

Powered by Google App Engine
This is Rietveld 408576698